package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮播图对象 mall_banner
 *
 * @author ruoyi
 * @date 2021-11-25
 */
public class MallBanner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 图片名称 */
    @Excel(name = "图片名称")
    private String name;

    /** 前图图片 */
    @Excel(name = "前图图片")
    private String headUrl;

    /** 轮播状态:0=正常,1=隐藏 */
    @Excel(name = "轮播状态:0=正常,1=隐藏")
    private String status;

    /** 轮播类型: 0=不跳转,1=跳转商品, 2 跳转分类 */
    @Excel(name = "轮播类型: 0=不跳转,1=跳转商品, 2 跳转分类")
    private String type;

    /** 背景图图片 */
    @Excel(name = "背景图图片")
    private String backgroundUrl;

    /** 关联资源ID,根绝type字段来区别是什么资源 */
    @Excel(name = "关联资源ID,根绝type字段来区别是什么资源")
    private Long resId;

    /** 排序(正序) */
    @Excel(name = "排序(正序)")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    private String updateAt;

    /** 删除标记 */
    private String delFlag;

    //0是首页，1是分类页
    private String module;

    /** 方式：0-图片，1-视频 */
    private Integer style;

    public Integer getStyle() {
        return style;
    }

    public void setStyle(Integer style) {
        this.style = style;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setHeadUrl(String headUrl)
    {
        this.headUrl = headUrl;
    }

    public String getHeadUrl()
    {
        return headUrl;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setBackgroundUrl(String backgroundUrl)
    {
        this.backgroundUrl = backgroundUrl;
    }

    public String getBackgroundUrl()
    {
        return backgroundUrl;
    }
    public void setResId(Long resId)
    {
        this.resId = resId;
    }

    public Long getResId()
    {
        return resId;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("headUrl", getHeadUrl())
            .append("status", getStatus())
            .append("type", getType())
            .append("backgroundUrl", getBackgroundUrl())
            .append("resId", getResId())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
                .append("module", getModule())
            .toString();
    }
}
